# Table of Contents

- [Table of Contents](#table-of-contents)
- [Git](#git)
  - [git clone](#git-clone)
  - [git status](#git-status)
  - [git commit](#git-commit)
  - [git blame](#git-blame)
  - [git log](#git-log)
  - [git lens](#git-lens)
  - [git diff](#git-diff)
  - [git conflict](#git-conflict)
  - [git open](#git-open)
  - [gitignore](#gitignore)
  - [git hook](#git-hook)
- [GitHub](#github)
  - [Features like gh](#features-like-gh)
  - [GitHub tweaks](#github-tweaks)
  - [Pull Request](#pull-request)
  - [Link](#link)

# Git

- [TimUntersberger/neogit](https://github.com/TimUntersberger/neogit) ![](https://img.shields.io/github/stars/TimUntersberger/neogit) ![](https://img.shields.io/github/last-commit/TimUntersberger/neogit) ![](https://img.shields.io/github/commit-activity/y/TimUntersberger/neogit)
- [kdheepak/lazygit.nvim](https://github.com/kdheepak/lazygit.nvim) ![](https://img.shields.io/github/stars/kdheepak/lazygit.nvim) ![](https://img.shields.io/github/last-commit/kdheepak/lazygit.nvim) ![](https://img.shields.io/github/commit-activity/y/kdheepak/lazygit.nvim)
- [dinhhuy258/git.nvim](https://github.com/dinhhuy258/git.nvim) ![](https://img.shields.io/github/stars/dinhhuy258/git.nvim) ![](https://img.shields.io/github/last-commit/dinhhuy258/git.nvim) ![](https://img.shields.io/github/commit-activity/y/dinhhuy258/git.nvim)
- [aspeddro/gitui.nvim](https://github.com/aspeddro/gitui.nvim) ![](https://img.shields.io/github/stars/aspeddro/gitui.nvim) ![](https://img.shields.io/github/last-commit/aspeddro/gitui.nvim) ![](https://img.shields.io/github/commit-activity/y/aspeddro/gitui.nvim)
- [declancm/git-scripts.nvim](https://github.com/declancm/git-scripts.nvim) ![](https://img.shields.io/github/stars/declancm/git-scripts.nvim) ![](https://img.shields.io/github/last-commit/declancm/git-scripts.nvim) ![](https://img.shields.io/github/commit-activity/y/declancm/git-scripts.nvim)
- [Odie/gitabra](https://github.com/Odie/gitabra) ![](https://img.shields.io/github/stars/Odie/gitabra) ![](https://img.shields.io/github/last-commit/Odie/gitabra) ![](https://img.shields.io/github/commit-activity/y/Odie/gitabra)
- [ipod825/igit.nvim](https://github.com/ipod825/igit.nvim) ![](https://img.shields.io/github/stars/ipod825/igit.nvim) ![](https://img.shields.io/github/last-commit/ipod825/igit.nvim) ![](https://img.shields.io/github/commit-activity/y/ipod825/igit.nvim)
- [lostl1ght/nvim-lazygit](https://github.com/lostl1ght/nvim-lazygit) ![](https://img.shields.io/github/stars/lostl1ght/nvim-lazygit) ![](https://img.shields.io/github/last-commit/lostl1ght/nvim-lazygit) ![](https://img.shields.io/github/commit-activity/y/lostl1ght/nvim-lazygit)

## git clone

- [Danielhp95/tmpclone-nvim](https://github.com/Danielhp95/tmpclone-nvim) ![](https://img.shields.io/github/stars/Danielhp95/tmpclone-nvim) ![](https://img.shields.io/github/last-commit/Danielhp95/tmpclone-nvim) ![](https://img.shields.io/github/commit-activity/y/Danielhp95/tmpclone-nvim)

## git status

- [lewis6991/gitsigns.nvim](https://github.com/lewis6991/gitsigns.nvim) ![](https://img.shields.io/github/stars/lewis6991/gitsigns.nvim) ![](https://img.shields.io/github/last-commit/lewis6991/gitsigns.nvim) ![](https://img.shields.io/github/commit-activity/y/lewis6991/gitsigns.nvim)
- [tanvirtin/vgit.nvim](https://github.com/tanvirtin/vgit.nvim) ![](https://img.shields.io/github/stars/tanvirtin/vgit.nvim) ![](https://img.shields.io/github/last-commit/tanvirtin/vgit.nvim) ![](https://img.shields.io/github/commit-activity/y/tanvirtin/vgit.nvim)
- [rmagatti/igs.nvim](https://github.com/rmagatti/igs.nvim) ![](https://img.shields.io/github/stars/rmagatti/igs.nvim) ![](https://img.shields.io/github/last-commit/rmagatti/igs.nvim) ![](https://img.shields.io/github/commit-activity/y/rmagatti/igs.nvim)
- [dsummersl/nvim-sluice](https://github.com/dsummersl/nvim-sluice) ![](https://img.shields.io/github/stars/dsummersl/nvim-sluice) ![](https://img.shields.io/github/last-commit/dsummersl/nvim-sluice) ![](https://img.shields.io/github/commit-activity/y/dsummersl/nvim-sluice)
- [Juksuu/worktrees.nvim](https://github.com/Juksuu/worktrees.nvim) ![](https://img.shields.io/github/stars/Juksuu/worktrees.nvim) ![](https://img.shields.io/github/last-commit/Juksuu/worktrees.nvim) ![](https://img.shields.io/github/commit-activity/y/Juksuu/worktrees.nvim)
- [duydang2311/gh-status.nvim](https://github.com/duydang2311/gh-status.nvim) ![](https://img.shields.io/github/stars/duydang2311/gh-status.nvim) ![](https://img.shields.io/github/last-commit/duydang2311/gh-status.nvim) ![](https://img.shields.io/github/commit-activity/y/duydang2311/gh-status.nvim)
- [kyoh86/gitstat.nvim](https://github.com/kyoh86/gitstat.nvim) ![](https://img.shields.io/github/stars/kyoh86/gitstat.nvim) ![](https://img.shields.io/github/last-commit/kyoh86/gitstat.nvim) ![](https://img.shields.io/github/commit-activity/y/kyoh86/gitstat.nvim)

## git commit

- [olacin/telescope-cc.nvim](https://github.com/olacin/telescope-cc.nvim) ![](https://img.shields.io/github/stars/olacin/telescope-cc.nvim) ![](https://img.shields.io/github/last-commit/olacin/telescope-cc.nvim) ![](https://img.shields.io/github/commit-activity/y/olacin/telescope-cc.nvim)
- [Cassin01/cmp-gitcommit](https://github.com/Cassin01/cmp-gitcommit) ![](https://img.shields.io/github/stars/Cassin01/cmp-gitcommit) ![](https://img.shields.io/github/last-commit/Cassin01/cmp-gitcommit) ![](https://img.shields.io/github/commit-activity/y/Cassin01/cmp-gitcommit)
- [gbprod/tree-sitter-gitcommit](https://github.com/gbprod/tree-sitter-gitcommit) ![](https://img.shields.io/github/stars/gbprod/tree-sitter-gitcommit) ![](https://img.shields.io/github/last-commit/gbprod/tree-sitter-gitcommit) ![](https://img.shields.io/github/commit-activity/y/gbprod/tree-sitter-gitcommit)

## git blame

- [f-person/git-blame.nvim](https://github.com/f-person/git-blame.nvim) ![](https://img.shields.io/github/stars/f-person/git-blame.nvim) ![](https://img.shields.io/github/last-commit/f-person/git-blame.nvim) ![](https://img.shields.io/github/commit-activity/y/f-person/git-blame.nvim)
- [tveskag/nvim-blame-line](https://github.com/tveskag/nvim-blame-line) ![](https://img.shields.io/github/stars/tveskag/nvim-blame-line) ![](https://img.shields.io/github/last-commit/tveskag/nvim-blame-line) ![](https://img.shields.io/github/commit-activity/y/tveskag/nvim-blame-line)
- [emmanueltouzery/agitator.nvim](https://github.com/emmanueltouzery/agitator.nvim) ![](https://img.shields.io/github/stars/emmanueltouzery/agitator.nvim) ![](https://img.shields.io/github/last-commit/emmanueltouzery/agitator.nvim) ![](https://img.shields.io/github/commit-activity/y/emmanueltouzery/agitator.nvim)
- [braxtons12/blame_line.nvim](https://github.com/braxtons12/blame_line.nvim) ![](https://img.shields.io/github/stars/braxtons12/blame_line.nvim) ![](https://img.shields.io/github/last-commit/braxtons12/blame_line.nvim) ![](https://img.shields.io/github/commit-activity/y/braxtons12/blame_line.nvim)
- [shavelskiy/git-blame.nvim](https://github.com/shavelskiy/git-blame.nvim) ![](https://img.shields.io/github/stars/shavelskiy/git-blame.nvim) ![](https://img.shields.io/github/last-commit/shavelskiy/git-blame.nvim) ![](https://img.shields.io/github/commit-activity/y/shavelskiy/git-blame.nvim)
- [EmilOhlsson/contributors.nvim](https://github.com/EmilOhlsson/contributors.nvim) ![](https://img.shields.io/github/stars/EmilOhlsson/contributors.nvim) ![](https://img.shields.io/github/last-commit/EmilOhlsson/contributors.nvim) ![](https://img.shields.io/github/commit-activity/y/EmilOhlsson/contributors.nvim)

## git log

- [LhKipp/commit-viewer.nvim](https://github.com/LhKipp/commit-viewer.nvim) ![](https://img.shields.io/github/stars/LhKipp/commit-viewer.nvim) ![](https://img.shields.io/github/last-commit/LhKipp/commit-viewer.nvim) ![](https://img.shields.io/github/commit-activity/y/LhKipp/commit-viewer.nvim)

## git lens

- [cosmicthemethhead/gitlens.nvim](https://github.com/cosmicthemethhead/gitlens.nvim) ![](https://img.shields.io/github/stars/cosmicthemethhead/gitlens.nvim) ![](https://img.shields.io/github/last-commit/cosmicthemethhead/gitlens.nvim) ![](https://img.shields.io/github/commit-activity/y/cosmicthemethhead/gitlens.nvim)

## git diff

- [sindrets/diffview.nvim](https://github.com/sindrets/diffview.nvim) ![](https://img.shields.io/github/stars/sindrets/diffview.nvim) ![](https://img.shields.io/github/last-commit/sindrets/diffview.nvim) ![](https://img.shields.io/github/commit-activity/y/sindrets/diffview.nvim)
- [tjdevries/diff-therapy.nvim](https://github.com/tjdevries/diff-therapy.nvim) ![](https://img.shields.io/github/stars/tjdevries/diff-therapy.nvim) ![](https://img.shields.io/github/last-commit/tjdevries/diff-therapy.nvim) ![](https://img.shields.io/github/commit-activity/y/tjdevries/diff-therapy.nvim)
- [milennik/gitdiff.nvim](https://github.com/milennik/gitdiff.nvim) ![](https://img.shields.io/github/stars/milennik/gitdiff.nvim) ![](https://img.shields.io/github/last-commit/milennik/gitdiff.nvim) ![](https://img.shields.io/github/commit-activity/y/milennik/gitdiff.nvim)

## git conflict

- [akinsho/git-conflict.nvim](https://github.com/akinsho/git-conflict.nvim) ![](https://img.shields.io/github/stars/akinsho/git-conflict.nvim) ![](https://img.shields.io/github/last-commit/akinsho/git-conflict.nvim) ![](https://img.shields.io/github/commit-activity/y/akinsho/git-conflict.nvim)

## git open

- [senkentarou/goacf.nvim](https://github.com/senkentarou/goacf.nvim) ![](https://img.shields.io/github/stars/senkentarou/goacf.nvim) ![](https://img.shields.io/github/last-commit/senkentarou/goacf.nvim) ![](https://img.shields.io/github/commit-activity/y/senkentarou/goacf.nvim)

## gitignore

- [antonk52/gitignore-grabber.nvim](https://github.com/antonk52/gitignore-grabber.nvim) ![](https://img.shields.io/github/stars/antonk52/gitignore-grabber.nvim) ![](https://img.shields.io/github/last-commit/antonk52/gitignore-grabber.nvim) ![](https://img.shields.io/github/commit-activity/y/antonk52/gitignore-grabber.nvim)

## git hook

- [Ttibsi/pre-commit.nvim](https://github.com/Ttibsi/pre-commit.nvim) ![](https://img.shields.io/github/stars/Ttibsi/pre-commit.nvim) ![](https://img.shields.io/github/last-commit/Ttibsi/pre-commit.nvim) ![](https://img.shields.io/github/commit-activity/y/Ttibsi/pre-commit.nvim)

# GitHub

## Features like gh

- [pwntester/octo.nvim](https://github.com/pwntester/octo.nvim) ![](https://img.shields.io/github/stars/pwntester/octo.nvim) ![](https://img.shields.io/github/last-commit/pwntester/octo.nvim) ![](https://img.shields.io/github/commit-activity/y/pwntester/octo.nvim)
- [ldelossa/gh.nvim](https://github.com/ldelossa/gh.nvim) ![](https://img.shields.io/github/stars/ldelossa/gh.nvim) ![](https://img.shields.io/github/last-commit/ldelossa/gh.nvim) ![](https://img.shields.io/github/commit-activity/y/ldelossa/gh.nvim)

## GitHub tweaks

- [pwntester/codeql.nvim](https://github.com/pwntester/codeql.nvim) ![](https://img.shields.io/github/stars/pwntester/codeql.nvim) ![](https://img.shields.io/github/last-commit/pwntester/codeql.nvim) ![](https://img.shields.io/github/commit-activity/y/pwntester/codeql.nvim)
- [ruifm/gitlinker.nvim](https://github.com/ruifm/gitlinker.nvim) ![](https://img.shields.io/github/stars/ruifm/gitlinker.nvim) ![](https://img.shields.io/github/last-commit/ruifm/gitlinker.nvim) ![](https://img.shields.io/github/commit-activity/y/ruifm/gitlinker.nvim)
- [rlch/github-notifications.nvim](https://github.com/rlch/github-notifications.nvim) ![](https://img.shields.io/github/stars/rlch/github-notifications.nvim) ![](https://img.shields.io/github/last-commit/rlch/github-notifications.nvim) ![](https://img.shields.io/github/commit-activity/y/rlch/github-notifications.nvim)

## Pull Request

- [senkentarou/gopr.nvim](https://github.com/senkentarou/gopr.nvim) ![](https://img.shields.io/github/stars/senkentarou/gopr.nvim) ![](https://img.shields.io/github/last-commit/senkentarou/gopr.nvim) ![](https://img.shields.io/github/commit-activity/y/senkentarou/gopr.nvim)
- [rnprest/merge-request.nvim](https://github.com/rnprest/merge-request.nvim) ![](https://img.shields.io/github/stars/rnprest/merge-request.nvim) ![](https://img.shields.io/github/last-commit/rnprest/merge-request.nvim) ![](https://img.shields.io/github/commit-activity/y/rnprest/merge-request.nvim)

## Link

- [hkupty/pointer.nvim](https://github.com/hkupty/pointer.nvim) ![](https://img.shields.io/github/stars/hkupty/pointer.nvim) ![](https://img.shields.io/github/last-commit/hkupty/pointer.nvim) ![](https://img.shields.io/github/commit-activity/y/hkupty/pointer.nvim)
- [senkentarou/gobf.nvim](https://github.com/senkentarou/gobf.nvim) ![](https://img.shields.io/github/stars/senkentarou/gobf.nvim) ![](https://img.shields.io/github/last-commit/senkentarou/gobf.nvim) ![](https://img.shields.io/github/commit-activity/y/senkentarou/gobf.nvim)
- [Almo7aya/openingh.nvim](https://github.com/Almo7aya/openingh.nvim) ![](https://img.shields.io/github/stars/Almo7aya/openingh.nvim) ![](https://img.shields.io/github/last-commit/Almo7aya/openingh.nvim) ![](https://img.shields.io/github/commit-activity/y/Almo7aya/openingh.nvim)
- [ciehanski/nvim-git-line](https://github.com/ciehanski/nvim-git-line) ![](https://img.shields.io/github/stars/ciehanski/nvim-git-line) ![](https://img.shields.io/github/last-commit/ciehanski/nvim-git-line) ![](https://img.shields.io/github/commit-activity/y/ciehanski/nvim-git-line)
